# Method: genericclass.addmessage

- [HTTP request](https://developers.google.com/wallet/reference/rest/v1/genericclass/addmessage#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/wallet/reference/rest/v1/genericclass/addmessage#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/wallet/reference/rest/v1/genericclass/addmessage#body.request_body)
- [Response body](https://developers.google.com/wallet/reference/rest/v1/genericclass/addmessage#body.response_body)
  - [JSON representation](https://developers.google.com/wallet/reference/rest/v1/genericclass/addmessage#body.GenericClassAddMessageResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/wallet/reference/rest/v1/genericclass/addmessage#body.aspect)

Adds a message to the generic class referenced by the given class ID.

### HTTP request

`POST https://walletobjects.googleapis.com/walletobjects/v1/genericClass/{resourceId}/addMessage`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resourceId` | `string` The unique identifier for a class. This ID must be unique across all classes from an issuer. This value should follow the format <var translate="no">issuer ID</var>.<var translate="no">identifier</var> where the former is issued by Google and latter is chosen by you. Your unique identifier should only include alphanumeric characters, '.', '_', or '-'. |

### Request body

The request body contains an instance of `https://developers.google.com/wallet/reference/rest/v1/AddMessageRequest`.

### Response body

Response to adding a new issuer message to the class. This contains the entire updated GenericClass.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "resource": { object (`https://developers.google.com/wallet/reference/rest/v1/genericclass#GenericClass`) } } ``` |

| Fields ||
|---|---|
| `resource` | ``object (`https://developers.google.com/wallet/reference/rest/v1/genericclass#GenericClass`)`` The updated EventTicketClass resource. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/wallet_object.issuer`